Panda3D

Loading...
Searching...
No Matches
Static Public Member Functions | List of all members
MouseWatcherGroup Class Reference

This represents a collection of MouseWatcherRegions that may be managed as a group. More...

`#include "mouseWatcherGroup.h"`

Inheritance diagram for MouseWatcherGroup:

## Static Public Member Functions
static TypeHandle | get_class_type ()
static void | init_type ()
Static Public Member Functions inherited from MouseWatcherBase
static TypeHandle | get_class_type ()
static void | init_type ()
Static Public Member Functions inherited from ReferenceCount
static TypeHandle | get_class_type ()
static void | init_type ()

## Additional Inherited Members
Public Member Functions inherited from MouseWatcherBase
void | add_region (PT(MouseWatcherRegion) region)
| Adds the indicated region to the set of regions in the group.
void | clear_regions ()
| Removes all the regions from the group.
MouseWatcherRegion * | find_region (const std::string &name) const
| Returns a pointer to the first region found with the indicated name.
size_t | get_num_regions () const
MouseWatcherRegion * | get_region (size_t n) const
bool | has_region (MouseWatcherRegion *region) const
| Returns true if the indicated region has already been added to the MouseWatcherBase, false otherwise.
void | hide_regions ()
| Stops the visualization created by a previous call to show_regions().
bool | is_sorted () const
void | output (std::ostream &out) const
bool | remove_region (MouseWatcherRegion *region)
| Removes the indicated region from the group.
void | set_color (const LColor &color)
| Specifies the color used to draw the region rectangles for the regions visualized by show_regions().
void | show_regions (const NodePath &render2d, const std::string &bin_name, int draw_order)
| Enables the visualization of all of the regions handled by this MouseWatcherBase.
void | sort_regions ()
| Sorts all the regions in this group into pointer order.
void | update_regions ()
| Refreshes the visualization created by show_regions().
void | write (std::ostream &out, int indent_level=0) const
Public Member Functions inherited from ReferenceCount
int | get_ref_count () const
WeakReferenceList * | get_weak_list () const
| Returns the WeakReferenceList associated with this ReferenceCount object.
bool | has_weak_list () const
| Returns true if this particular ReferenceCount object has a WeakReferenceList created, false otherwise.
void | local_object ()
| This function should be called, once, immediately after creating a new instance of some ReferenceCount-derived object on the stack.
void | ref () const
| Explicitly increments the reference count.
bool | ref_if_nonzero () const
| Atomically increases the reference count of this object if it is not zero.
bool | test_ref_count_integrity () const
| Does some easy checks to make sure that the reference count isn't completely bogus.
bool | test_ref_count_nonzero () const
| Does some easy checks to make sure that the reference count isn't zero, or completely bogus.
virtual bool | unref () const
| Explicitly decrements the reference count.
bool | unref_if_one () const
| Atomically decreases the reference count of this object if it is one.
WeakReferenceList * | weak_ref ()
| Adds the indicated PointerToVoid as a weak reference to this object.
void | weak_unref ()
| Removes the indicated PointerToVoid as a weak reference to this object.
Public Member Functions inherited from MemoryBase
void | operator delete (void *, void *)
void | operator delete (void *ptr)
void | operator delete[] (void *, void *)
void | operator delete[] (void *ptr)
void * | operator new (size_t size)
void * | operator new (size_t size, void *ptr)
void * | operator new[] (size_t size)
void * | operator new[] (size_t size, void *ptr)
Public Attributes inherited from MouseWatcherBase
| get_num_regions
| Returns the number of regions in the group.
| get_region
| Returns the nth region of the group; returns NULL if there is no nth region.
| is_sorted
| Returns true if the group has already been sorted, false otherwise.
Public Attributes inherited from ReferenceCount
| get_ref_count
| Returns the current reference count.

## Detailed Description

This represents a collection of MouseWatcherRegions that may be managed as a group.

The implementation for this is in MouseWatcherBase; this class exists so that we can inherit from ReferenceCount.

Definition at line 26 of file mouseWatcherGroup.h.

## Constructor & Destructor Documentation

## ◆ MouseWatcherGroup()

MouseWatcherGroup::MouseWatcherGroup | ( |  | ) |
| inline

Definition at line 29 of file mouseWatcherGroup.h.

## Member Function Documentation

## ◆ get_class_type()

static TypeHandle MouseWatcherGroup::get_class_type | ( |  | ) |
| inline static

Definition at line 32 of file mouseWatcherGroup.h.

## ◆ init_type()

static void MouseWatcherGroup::init_type | ( |  | ) |
| inline static

Definition at line 37 of file mouseWatcherGroup.h.

The documentation for this class was generated from the following files:

- panda/src/tform/mouseWatcherGroup.h
- panda/src/tform/mouseWatcherGroup.cxx